<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {

    var optionsElementsPrefix = 'tabs-hostingTab-hostingSubForm-';
    var permissionsElementsPrefix = 'tabs-permissionsTab-permissions-main-';
    var optionsDefaults = $('siteIsolationDefaults').value.evalJSON();
    var optionsNames = Object.keys(optionsDefaults);
    var insecureHostingOptionsElement = $(permissionsElementsPrefix + 'allow_insecure_sites');

    <?php echo $this->partial('partials/hosting-settings/conflicts-checker.phtml', null, $this); ?>

    insecureHostingOptionsElement.observe('click', function() {
        if (insecureHostingOptionsElement.checked) {
            return ;
        }

        applySecureSettings();
    });

    if ($('applySecureSettings')) {
        $('applySecureSettings').observe('click', applySecureSettings);
    }

    if ($('secureSettingsHelp')) {
        $('secureSettingsHelp').observe('click', function() {
            parent.OpenHelpWindow("customer-service-plan.secure-settings");
        });
    }
});
//]]>
</script>
